Subject: Re: bug#19031: 24.4; find-file in icomplete-mode shows completions with no input

From: Ole Laursen <[email-masked]>
Date: Mon, 7 Dec 2020 12:43:38 +0100

Den søn. 6. dec. 2020 kl. 13.46 skrev Lars Ingebrigtsen <[email-masked]>:
> Ah, I was misunderstanding what I was seeing...  I've now reverted my
> patch and reformulated as you suggest:

I originally reported this because I found it jarring to get a bunch
of completions without having entered anything. In my home dir it
basically shows me garbage (dot files that I'm never interested in).

Would it not be possible to make a difference between the case where
find-file provides some default text (current dir) and where I have
entered some input? The variable literally says -on-no-input.

This is probably a wishlist thing - so I'm not going to complain if
you keep it closed. :)

Ole